change_bit
Prev | Bit Operations | Next

## Name

change_bit — Toggle a bit in memory

## Synopsis

`void change_bit (` | int | nr,
| volatile unsigned long * | addr`)`;

## Arguments

`nr`

  Bit to change

`addr`

  Address to start counting from

## Description

`change_bit` is atomic and may not be reordered. It may be reordered on other architectures than x86. Note that `nr` may be almost arbitrarily large; this function is not restricted to acting on a single-word quantity.

Prev | Up | Next
__change_bit | Home | test_and_set_bit